Get canceled trades
Deprecated
/futures/isolated/trades/canceledPrivateDeprecated: use GET /perp/isolated/trades/canceled instead. Get your canceled BTC/USD trades. Paginated, newest first; from and to filter on the cancel time.
Permissions: futures:isolated:read
from?stringStart date, unix epoch 0 by default
date-time"1970-01-01T00:00:00.000Z"to?stringEnd date, default to current time
date-time"2026-11-09T17:08:56.622Z"limit?integerNumber of entries to return, default to 1000
1 <= value <= 10001000cursor?stringCursor for pagination
date-timeOK
application/json- response
data*array<>nextCursor*|Cursor to use for fetching the next page of results. Pass this value as the cursor parameter in the next request. Returns null when there are no more results.
import asynciofrom lnmarkets_sdk.rest.v3.http.client import APIAuthContext, APIClientConfig, LNMClientfrom lnmarkets_sdk.rest.v3.models.futures_isolated import GetClosedTradesParamsconfig = APIClientConfig( authentication=APIAuthContext( key="your-key", secret="your-secret", passphrase="your-passphrase", ),)async def main(): async with LNMClient(config) as client: result = await client.futures.isolated.get_canceled_trades( GetClosedTradesParams( from_="1970-01-01T00:00:00.000Z", to="2026-11-09T17:08:56.136Z", limit=500, ) ) print(result)asyncio.run(main()){
"data": [
{
"id": "d0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e",
"type": "limit",
"side": "buy",
"openingFee": 10,
"closingFee": 0,
"maintenanceMargin": 0,
"quantity": 100,
"margin": 1000,
"leverage": 10,
"price": 20000,
"liquidation": 18000,
"stoploss": 10,
"takeprofit": 10,
"stoplossTrailingDistance": 0,
"exitPrice": 0,
"pl": 0,
"createdAt": "2025-09-01T15:04:21.129Z",
"filledAt": null,
"closedAt": "2025-09-01T15:04:21.129Z",
"entryPrice": 20000,
"entryMargin": 1000,
"open": false,
"running": false,
"canceled": true,
"closed": false,
"sumFundingFees": 0,
"sumCashInPl": 0,
"sumCashInMargin": 0,
"clientId": "test-client-id-123"
}
],
"nextCursor": "2024-01-15T10:30:00.000Z"
}Get closed trades GET
Deprecated: use GET /perp/isolated/trades/closed instead. Get your closed BTC/USD trades. Paginated, newest first; from and to filter on the close time.
Remove stoploss DELETE
Deprecated: use DELETE /perp/isolated/trade/stoploss instead. Remove the stoploss from an open or running trade, fixed or trailing. The trade id is passed…